Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.ui
Class ClsesPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  edu.stanford.smi.protege.util.SelectableContainer
                      edu.stanford.smi.protege.ui.ClsesPanel

All Implemented Interfaces:
  Disposable, Selectable, ImageObserver, MenuContainer, Serializable

    public class ClsesPanel

extends SelectableContainer

The left upper display of the classes tab. This holds the tree, the relationship-selection drop-down list, and the class find component.

Author:
  Ray Fergerson
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected HeaderComponent` | `_clsBrowserHeader`
`protected AllowableAction` | `_createAction`
`protected AllowableAction` | `_deleteAction`
`protected LabeledComponent` | `_labeledComponent`
`protected Project` | `_project`
`protected RelationshipPane` | `_relationshipPane`
`protected SubclassPane` | `_subclassPane`
`protected Action` | `_viewAction`
`protected static String` | `ResourcesKey`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ClsesPanel(Project project)`

Method Summary
`protected HeaderComponent` | `createClsBrowserHeader()`
`protected Action` | `createConfigureAction()`
`protected void` | `createPanes()`
`protected RelationshipPane` | `createRelationshipPane(Action viewAction)`
`protected Action` | `createShowAllRelationsAction()`
`protected Action` | `createShowRelationAction(Slot slot)`
`protected Action` | `createShowSubclassesAction()`
`protected SubclassPane` | `createSubclassPane(Action viewAction, Cls root, Action createAction, Action action)`
`protected void` | `enableButton(AllowableAction action, boolean enabled)`
`protected void` | `enableButtons(boolean enable)`
`JTree` | `getClsesTree()`
`protected AllowableAction` | `getCreateClsAction()`
`protected AllowableAction` | `getDeleteClsAction()`
`protected JComponent` | `getDisplayedComponent()`
`Cls` | `getDisplayParent()`
`JComponent` | `getDropComponent()`
`protected KnowledgeBase` | `getKnowledgeBase()`
`LabeledComponent` | `getLabeledComponent()`
`Project` | `getProject()`
`protected Selectable` | `getRelationshipPane()`
`Collection` | `getRelationSlots()`
`Collection` | `getSelection()`
`SubclassPane` | `getSubclassPane()`
`protected Action` | `getViewClsAction()`
`protected boolean` | `isDisplayingSubclasses()`
`protected void` | `loadComponent(Selectable component)`
`protected void` | `loadComponent(Selectable component, ResourceKey key)`
`protected void` | `loadComponent(Selectable component, String title)`
`void` | `setDisplayParent(Cls cls)` An obscure method to change the displayed parent of the selected class.
`void` | `setExpandedCls(Cls cls, boolean expanded)`
`void` | `setFinderComponent(JComponent c)`
`void` | `setRenderer(DefaultRenderer renderer)`
`void` | `setSelectedCls(Cls cls)`
`protected void` | `showInstance(Instance instance)`
`protected void` | `updateDeleteActionState()`

Methods inherited from class edu.stanford.smi.protege.util.SelectableContainer
`addSelectionListener, clearSelection, dispose, equals, getSelectable, getSoleSelection, notifySelectionListeners, onSelectionChange, removeSelectionListener, setNotificationsEnabled, setSelectable, toString`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _project

    protected Project _project

### _labeledComponent

    protected LabeledComponent _labeledComponent

### _createAction

    protected AllowableAction _createAction

### _viewAction

    protected Action _viewAction

### _deleteAction

    protected AllowableAction _deleteAction

### _subclassPane

    protected SubclassPane _subclassPane

### _relationshipPane

    protected RelationshipPane _relationshipPane

### _clsBrowserHeader

    protected HeaderComponent _clsBrowserHeader

### ResourcesKey

    protected static final String ResourcesKey

Constructor Detail

### ClsesPanel

    public ClsesPanel(Project project)

Method Detail

### getLabeledComponent

    public LabeledComponent getLabeledComponent()

### createClsBrowserHeader

    protected HeaderComponent createClsBrowserHeader()

### createPanes

    protected void createPanes()

### createRelationshipPane

    protected RelationshipPane createRelationshipPane(Action viewAction)

### createSubclassPane

    protected SubclassPane createSubclassPane(Action viewAction,
                                              Cls root,
                                              Action createAction,
                                              Action action)

### enableButton

    protected void enableButton(AllowableAction action,
                                boolean enabled)

### enableButtons

    protected void enableButtons(boolean enable)

### getClsesTree

    public JTree getClsesTree()

### getCreateClsAction

    protected AllowableAction getCreateClsAction()

### getDeleteClsAction

    protected AllowableAction getDeleteClsAction()

### createConfigureAction

    protected Action createConfigureAction()

### getRelationSlots

    public Collection getRelationSlots()

### createShowSubclassesAction

    protected Action createShowSubclassesAction()

### createShowAllRelationsAction

    protected Action createShowAllRelationsAction()

### createShowRelationAction

    protected Action createShowRelationAction(Slot slot)

### getDisplayedComponent

    protected JComponent getDisplayedComponent()

### getDisplayParent

    public Cls getDisplayParent()

### getDropComponent

    public JComponent getDropComponent()

### getKnowledgeBase

    protected KnowledgeBase getKnowledgeBase()

### getProject

    public Project getProject()

  Returns:
    edu.stanford.smi.protege.model.Project

### getRelationshipPane

    protected Selectable getRelationshipPane()

### getSelection

    public Collection getSelection()

  Specified by:
    `getSelection` in interface `Selectable`
  Overrides:
    `getSelection` in class `SelectableContainer`

### getSubclassPane

    public SubclassPane getSubclassPane()

### getViewClsAction

    protected Action getViewClsAction()

### isDisplayingSubclasses

    protected boolean isDisplayingSubclasses()

### loadComponent

    protected void loadComponent(Selectable component)

### loadComponent

    protected void loadComponent(Selectable component,
                                 ResourceKey key)

### loadComponent

    protected void loadComponent(Selectable component,
                                 String title)

### setDisplayParent

    public void setDisplayParent(Cls cls)

  An obscure method to change the displayed parent of the selected class. Imagine a selected class A with two parents "B" and "C". Currently "A" is selected beneath "B". Calling setDisplayParent("C") will cause "A" to be displayed beneath "C". This is the method used by the component below the classes panel in the classes tab.

### setExpandedCls

    public void setExpandedCls(Cls cls,
                               boolean expanded)

### setFinderComponent

    public void setFinderComponent(JComponent c)

### setRenderer

    public void setRenderer(DefaultRenderer renderer)

### setSelectedCls

    public void setSelectedCls(Cls cls)

### showInstance

    protected void showInstance(Instance instance)

### updateDeleteActionState

    protected void updateDeleteActionState()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.